std::bad_cast Class Reference
Exceptions
Inheritance diagram for std::bad_cast:
[legend]

## Public Member Functions

virtual const char * | what () const noexcept

## Detailed Description

Thrown during incorrect typecasting.

If you attempt an invalid `dynamic_cast` expression, an instance of this class (or something derived from this class) is thrown.

Definition at line 187 of file typeinfo.

## Member Function Documentation

virtual const char* std::bad_cast::what | ( |  | ) | const

virtualnoexcept

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- typeinfo